Page MenuHomePhabricator

Allow cursoring between active nodes
Closed, ResolvedPublic

Description

Currently "active nodes" includes

  • Block image captions
  • Table captions
  • CX sections
  • ProofreadPage sections

We disable expanding a selection across an active node boundary, but one should still be able to move in and out of them.

Event Timeline

Esanders created this task.Jul 27 2018, 3:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2018, 3:32 PM

Change 448571 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Allow cursoring between active nodes

https://gerrit.wikimedia.org/r/448571

Change 448571 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Allow cursoring between active nodes

https://gerrit.wikimedia.org/r/448571

DLynch added a subscriber: DLynch.

For the table caption case, should we special case it so that it jumps the selection into the table rather than skipping it?

I don't understand what this task is about. Can you explain, please?

Change 449530 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (086de2707)

https://gerrit.wikimedia.org/r/449530

Change 449530 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (086de2707)

https://gerrit.wikimedia.org/r/449530

@Deskana: "active node" means one which can have cursor focus within it, in a way that's somewhat separate from the general article flow. This patch makes it so that moving your cursor with the arrow keys doesn't keep it trapped within those nodes. E.g. if you're in a table caption and press the up arrow, you would previously have stayed in the caption, but now you'll find the cursor in the preceding content.

Ryasmeen added a subscriber: Ryasmeen.EditedAug 7 2018, 10:34 PM

@DLynch/ @Esanders: Are the following cursoring behaviors intentional?

  1. Right now, I can't move the cursor into the caption of a table with down arrow, it skips the caption field but it works fine with up arrow.
  2. When you have an active cursor inside a table cell, up arrow moves it to the caption field skipping the cells in between, or to the preceding content if the caption is disabled. Same for down arrow.

Question 1 is what I was asking above in my first comment on this task, so I'd say that's somewhat-undecided. I think 2 is unintended, though; it should switch to cell selection first.

Question 1 is what I was asking above in my first comment on this task, so I'd say that's somewhat-undecided. I think 2 is unintended, though; it should switch to cell selection first.

Alright! :) Shall we use this same task to address those issues?

Change 451331 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Restore cursor trapping functionality to table cells

https://gerrit.wikimedia.org/r/451331

Change 451331 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Restore cursor trapping functionality to table cells

https://gerrit.wikimedia.org/r/451331

Change 451530 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7e57bf17b)

https://gerrit.wikimedia.org/r/451530

Change 451530 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7e57bf17b)

https://gerrit.wikimedia.org/r/451530

Change 448580 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] WIP Cursor into table captions if present, instead of the first cell

https://gerrit.wikimedia.org/r/448580

So it seems the second issue of up arrow skipping the cells in between and moving to the caption field or to the preceding content is almost fixed. I see a flickering cursor in those positions still but that's negligible I suppose or not :) I am marking this issue verified from my side anyways.

Deskana closed this task as Resolved.Aug 17 2018, 9:26 AM
Deskana triaged this task as Medium priority.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 17 2018, 9:26 AM